Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1509976 - Clicking on links in Host collection widget redirects to 404 Page not found
Summary: Clicking on links in Host collection widget redirects to 404 Page not found
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Host Collections
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Marek Hulan
QA Contact: Nikhil Kathole
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-06 13:48 UTC by Nikhil Kathole
Modified: 2019-04-01 20:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:41:24 UTC


Attachments (Terms of Use)
UI showing error (deleted)
2017-11-06 13:48 UTC, Nikhil Kathole
no flags Details
Correct link resolved (deleted)
2017-12-18 09:12 UTC, Nikhil Kathole
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 21933 None None None 2017-12-11 16:15:14 UTC

Description Nikhil Kathole 2017-11-06 13:48:51 UTC
Created attachment 1348585 [details]
UI showing error

Description of problem: Host collection widget on Dashboard consist of links to 
https://<satellite>/host_collections/1/actions .But this path doesn't exist and returns 404 Page not found.

Version-Release number of selected component (if applicable): satellite 6.3 snap 24


How reproducible:always


Steps to Reproduce:
1. Create host collection and add some hosts to it
2. Navigate to dashboard -> Host collection widget
3. Click on Updates link

Actual results:
Redirects to 404 Page not found

Expected results:
Link should work.

Additional info:

Comment 2 Marek Hulan 2017-12-11 16:15:12 UTC
Created redmine issue http://projects.theforeman.org/issues/21933 from this bug

Comment 3 Marek Hulan 2017-12-11 16:19:57 UTC
This is specific to host collections, anyway, sent a fix upstream. Moving to the right component.

Comment 4 pm-sat@redhat.com 2017-12-11 17:11:23 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 5 pm-sat@redhat.com 2017-12-11 17:11:27 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 6 pm-sat@redhat.com 2017-12-12 15:11:36 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/21933 has been resolved.

Comment 7 Nikhil Kathole 2017-12-18 09:11:58 UTC
VERIFIED

Version Tested:
Satellite-6.3 Snap 29

Found link working https://sat-hostname/host_collections/id

Comment 8 Nikhil Kathole 2017-12-18 09:12:55 UTC
Created attachment 1369324 [details]
Correct link resolved

Comment 9 Bryan Kearney 2018-02-21 16:39:33 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Comment 10 Bryan Kearney 2018-02-21 16:41:24 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Comment 11 pm-sat@redhat.com 2018-02-21 16:54:37 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> > 
> > For information on the advisory, and where to find the updated files, follow the link below.
> > 
> > If the solution does not work for you, open a new bug report.
> > 
> > https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.